# Usage, run this file, copy paste the pins into the symbol, go edit the symbol
# to look like you want

# SN74CBTLV16292
pins = [
    ("S", 1, "I"),
    ("GND", 8, "W"),
    ("VCC", 17, "W"),
    ("GND", 19, "W"),
    ("GND", 49, "W"),
    ("GND", 38, "W"),
    ("1A", 2, "B"),
    ("2A", 4, "B"),
    ("3A", 6, "B"),
    ("4A", 9, "B"),
    ("5A", 11, "B"),
    ("6A", 13, "B"),
    ("7A", 15, "B"),
    ("8A", 18, "B"),
    ("9A", 21, "B"),
    ("10A", 23, "B"),
    ("11A", 25, "B"),
    ("12A", 27, "B"),
    ("1B1", 54, "B"),
    ("1B2", 53, "B"),
    ("2B1", 52, "B"),
    ("2B2", 51, "B"),
    ("3B1", 50, "B"),
    ("3B2", 48, "B"),
    ("4B1", 47, "B"),
    ("4B2", 46, "B"),
    ("5B1", 45, "B"),
    ("5B2", 44, "B"),
    ("6B1", 43, "B"),
    ("6B2", 42, "B"),
    ("7B1", 41, "B"),
    ("7B2", 40, "B"),
    ("8B1", 39, "B"),
    ("8B2", 37, "B"),
    ("9B1", 36, "B"),
    ("9B2", 35, "B"),
    ("10B1", 34, "B"),
    ("10B2", 33, "B"),
    ("11B1", 32, "B"),
    ("11B2", 31, "B"),
    ("12B1", 30, "B"),
    ("12B2", 29, "B"),
]

for i, (pin_name, pin_number, pin_dir) in enumerate(pins):
    print(f"X {pin_name} {pin_number} -350 {-100*i} 100 R 50 50 1 1 {pin_dir}")
